Bug 1316302 - [RFE] Diagnostics pod that can be deployed to test a new nodes and successful install.
[RFE] Diagnostics pod that can be deployed to test a new nodes and successful...
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Luke Meyer
Johnny Liu
Depends On:
  Show dependency treegraph
Reported: 2016-03-09 17:38 EST by Ryan Howe
Modified: 2016-10-31 07:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-10-31 07:30:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ryan Howe 2016-03-09 17:38:07 EST
Description of problem:

  - Requesting a quickstart template that would deploy a pod that runs on all nodes or a single node that would test for a successful install of the cluster or addition of a node. 

         - Ensures pods have access to external network
         - Makes sure that DNS is configured
         - Checks if services are started and interfaces configured 
         - Runs `openshift ex diagnostics`
Comment 1 Luke Meyer 2016-04-14 13:12:16 EDT
This would be an enhancement of the existing diagnostic DiagnosticPod. It doesn't run on all nodes or check external connectivity yet.

BTW tell people to use "oadm diagnostics" - it's graduated from experimental status.

To test external connectivity requires a viable external target to attempt to connect to, as well as awareness of any proxy params. Do you have an opinion on what external target would be acceptable? "www.google.com" perhaps. The other complication is that the customer may not *want* external connectivity, and I don't know of a good way to detect that intent. So this would probably be a warning if it failed.

What do you mean by services started and interfaces configured? Which services and which interfaces? Are you thinking this test pod would have privileged access to everything on the node and basically run a local "oadm diagnostics" on every node?
Comment 2 Ryan Howe 2016-08-19 15:47:47 EDT
The latest command checks DNS and network. I'm fine with this being closed

Note You need to log in before you can comment on or make changes to this bug.